org.richfaces.convert

## Class SequenceRowKeyConverter<T>

- java.lang.Object
- - org.richfaces.convert.SequenceRowKeyConverter<T>

- All Implemented Interfaces:
    javax.faces.convert.Converter
  Direct Known Subclasses:
    IntegerSequenceRowKeyConverter, StringSequenceRowKeyConverter

      public class SequenceRowKeyConverter<T>
      extends Object
      implements javax.faces.convert.Converter

  Since:
    3.3.1
  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from interface javax.faces.convert.Converter

      `DATETIMECONVERTER_DEFAULT_TIMEZONE_IS_SYSTEM_TIMEZONE_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceRowKeyConverter(Class<T> clazz, javax.faces.convert.Converter delegateConverter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)`
    `String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceRowKeyConverter

          public SequenceRowKeyConverter(Class<T> clazz,
                                 javax.faces.convert.Converter delegateConverter)

  - ### Method Detail

    - #### getAsObject

          public Object getAsObject(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component,
                           String value)
                             throws javax.faces.convert.ConverterException

      Specified by:
        `getAsObject` in interface `javax.faces.convert.Converter`
      Throws:
        `javax.faces.convert.ConverterException`

    - #### getAsString

          public String getAsString(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component,
                           Object value)

      Specified by:
        `getAsString` in interface `javax.faces.convert.Converter`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.